Last modified: 2012-05-10 19:35:36 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34184 - update statistic/count tables on newly created wikis
update statistic/count tables on newly created wikis
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
Depends on: 32510 33253
Blocks: 29782
  Show dependency treegraph
 
Reported: 2012-02-03 10:30 UTC by merl
Modified: 2012-05-10 19:35 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description merl 2012-02-03 10:30:47 UTC
vepwiki was just imported. Statistics are broken after import (as always). So please run two maintanace scripts:

php updateArticleCount.php vepwiki --update
php refreshCategoryCounts.php vepwiki
Comment 1 Robin Pepermans (SPQRobin) 2012-02-03 13:28:44 UTC
Idem needed for the new pnbwiktionary.
Comment 2 Daniel Zahn 2012-02-03 13:52:25 UTC
mwscript updateArticleCount.php vepwiki --update
Counting articles...found 0.
Updating site statistics table... done.

mwscript updateArticleCount.php pnbwiktionary --update
Counting articles...found 0.
Updating site statistics table... done.
Comment 3 Daniel Zahn 2012-02-03 13:54:39 UTC
should be fixed.
Comment 4 Robin Pepermans (SPQRobin) 2012-02-03 14:01:05 UTC
There are articles on the wiki so it's not possible that there are 0 found. Maybe something went wrong with the script.

And did you also run refreshCategoryCounts.php?
Comment 5 Daniel Zahn 2012-02-03 14:15:34 UTC
- refreshCategoryCounts.php currently does not exist as a maintenance script (uwing mwscript)
- the maintenance script is on bug 18488 / added in r66140 and reverted
- SiteStatsInit is currently patched out due to an issue on wikimedia.pl yesterday, this should be the reason we get the 0 article count 

Afraid it needs to wait a bit until the SiteStatsInit situation clears up.
Comment 6 MF-Warburg 2012-04-07 18:09:50 UTC
What's the current situation here?
Meanwhile, such a maintenance is also needed for the new lezwiki, bewikisource, guwikisource and slwikiversity.
Comment 7 Sam Reed (reedy) 2012-05-10 19:35:36 UTC
reedy@fenari:/home/wikipedia/common/php-1.20wmf2$ mwscript updateArticleCount.php lezwiki --update
Counting articles...found 725.
Updating site statistics table... done.
reedy@fenari:/home/wikipedia/common/php-1.20wmf2$ mwscript updateArticleCount.php bewikisource --update
Counting articles...found 1507.
Updating site statistics table... done.
reedy@fenari:/home/wikipedia/common/php-1.20wmf2$ mwscript updateArticleCount.php guwikisource --update
Counting articles...found 507.
Updating site statistics table... done.
reedy@fenari:/home/wikipedia/common/php-1.20wmf2$ mwscript updateArticleCount.php slwikiversity --update
Counting articles...found 256.
Updating site statistics table... done.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links